petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscPartitionerCreate

Creates an empty PetscPartitioner object. The type can then be set with PetscPartitionerSetType().

### Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerCreate(MPI_Comm comm, PetscPartitioner *part)

Collective

### Input Parameter

| comm | - The communicator for the PetscPartitioner object

### Output Parameter

| part | - The PetscPartitioner object

### See Also

PetscPartitionerSetType(), PETSCPARTITIONERCHACO, PETSCPARTITIONERPARMETIS, PETSCPARTITIONERSHELL, PETSCPARTITIONERSIMPLE, PETSCPARTITIONERGATHER

### Level

beginner

### Location

src/dm/partitioner/interface/partitioner.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages